Categories
Noticias

WordPress Actualizar fiasco

El equipo de desarrollo de WordPress, en una serie de errores, emitió una actualización defectuosa que hizo imposible instalar nuevos sitios de WordPress. Hizo una pausa el despliegue de la actualización en un intento de solucionar esa actualización, pero eso creó aún más problemas, lo que requiere una actualización de emergencia para solucionar todos los problemas.

Fished WordPress 5.5.2 Actualización de seguridad

El fiasco Comenzó el 29 de octubre, 2020 con una actualización de rutina destinada a abordar los problemas de seguridad críticos. WordPress 5.5.2 estaba destinado a prevenir problemas como Forgeries de solicitud de sitio cruzado, XSS (scripting de sitio cruzado) Ataques y más.

Desafortunadamente, la actualización también introdujo un error que causó que las nuevas instalaciones de WordPress fallan. Así es como WordPress explicó el error:

“WordPress 5.5.2 … hace que sea imposible instalar WordPRESS en un sitio web nuevo que no tiene una conexión de base de datos configurada. Esta versión no afecta a los sitios donde una conexión de base de datos ya está configurada, por ejemplo, a través de instaladores de un solo clic o un archivo wp-config.php existente. “

Para solucionar ese problema, WordPress Detenó la versión 5.5.2 de rodar a más sitios. Y ahí es cuando una actualización deshonesta se empujó automáticamente.

AnunciCementContinue Reading a continuación

Actualización de WordPress Alpha Empuje accidentalmente

WordPress coloque los frenos en futuras actualizaciones. Pero mientras que el equipo de WordPress estaba ocupado recibiendo WordPress 5.5.3 Listo para solucionar el error anterior, WordPress Auto-Actualizaciones comenzó a presionar una actualización de nuevo.

Pero porque la versión 5.5.2 no estaba disponible, la automatizada no estaba disponible. WordPress sySTEM seleccionó una versión alfa de WordPress para ser descargada e instalada. Esta versión alfa no estaba destinada a ser expulsada a través de actualizaciones automáticas.

Lo que salió mal

Los problemas fueron introducidos por el equipo de desarrollo porque no hubo documentación formal sobre cómo detener un WordPress actualizar. Debido a eso, el equipo de WordPress detuvo la actualización de una manera que abrió la puerta de la versión alfa para comenzar a desplegar.

Se ha abordado este problema para que este escenario no vuelva a suceder.

Según los detalles oficiales Detalles técnicos POS

T:

“… que no se hará de nuevo. Ahora parece un buen momento para documentar una forma correcta y correcta de “detener” una liberación en progreso, que honestamente no se había intentado antes. Detener un lanzamiento iEn realidad, bastante simple si hubieran hecho el cambio correcto, por lo que, mientras su intento fue un supuesto razonable para hacer, resultó ser incorrecto.

El sistema de liberación es complicado, y tratando de hacer las cosas con eso que No se han anticipado y documentado condujo a resultados inesperados. Esto se mejorará a través de la documentación y el mejor código y la gestión del propio sistema de liberación “.

AnunciCementContinue Lectura a continuación

WordPress 5.5.3 Errores alfa

El problema con la instalación de WordPress Alpha fue que presentó temas adicionales de WordPress e instaló Akismet.

Supuestamente no hay nada malo en esos temas. Pero los editores que eligen no eliminarlos serán cargados con tener que mantenerlos actualizados. Falta de actualización de esos temas cEn el futuro, representan un riesgo de seguridad. De acuerdo con el anuncio de WordPress

:

“anteriormente hoy en día, el sistema de actualización automática Para WordPress actualizó algunos sitios de la versión 5.5.2 a la versión 5.5.3-alfa. Esto se debió a un error causado por las preparaciones que se están realizando para la versión 5.5.3.

La versión 5.5.3-alfa en este punto fue funcionalmente idéntica a 5.5.2, ya que no se había iniciado ningún trabajo de desarrollo en 5.5 .3, sin embargo, se pueden realizar los siguientes cambios: Los “Temas” Veinte “predeterminados instalados como parte del paquete de pre-liberación. El complemento “Akismet” se instaló como parte del paquete de liberación previa “.

Una página web , aparentemente para la liberación alfa, se publicó el 29 de octubre de 2020, aparentemente etiquetado erróneamente como version 5.4.3. Digo erróneamente porque WordPress 5.4 se lanzó en marzo de 2020 y no tiene sentido ir hacia atrás desde WordPress 5.5 a una versión 5.4.

La página de actualización

5.4.3 aparentemente errónea. Documentación que es idéntica a la información publicada para

Versión 5.5.2

WordPress 5.5.3

La última actualización, versión 5.5.3

es Todo lo que se produjo la versión 5.5.2, solo sin los problemas asociados. LowordPress 5.5.3 corrige todos los problemas introducidos en la versión 5.5.2.

Formas de WordPress explicadas:

“Esta versión de mantenimiento corrige un problema introducido en WordPress 5.5.2, lo que hace que sea imposible instalar WordPress en un sitio web nuevo que no tiene una conexión de base de datos configurada. EstaEl arrendamiento no afecta a los sitios donde una conexión de base de datos ya está configurada, por ejemplo, a través de instaladores de un solo clic o un archivo wp-config.php existente.

Si no está en 5.5.2, o tiene auto- Actualizaciones para lanzamientos menores deshabilitados, actualice manualmente a la versión 5.5.3 descargando WordPress 5.5.3 o Visiting Dashboard → Actualizaciones y haga clic en “Actualizar ahora”. “

Revise su instalación de WordPress Se alienta a los editores a asegurarse de que se actualicen a la versión 5.5.3. Las versiones anteriores a 5.5.2 contienen problemas de seguridad, por lo que es muy importante ser actualizado a la última versión. AnunciCementContinue Lectura a continuación La versión de mantenimiento de WordPress 5.5.3 no contiene ninguna disculpa para los problemas, solo “Gracias y accesorios “Al equipo de desarrollo para arreglar el problema.lems que introdujeron.

Leave a Reply

Your email address will not be published. Required fields are marked *